Package com.io7m.idstore.model

# Record Class IdEmailOwner

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdEmailOwner

Record Components:
  `isAdmin` - `true` if the owner is an admin (otherwise, it is a user)
  `owner` - The owner ID
  `email` - The email

public record IdEmailOwner(boolean isAdmin, UUID owner, IdEmail email) extends Record
The owner of an email.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdEmailOwner(boolean isAdmin, UUID owner, IdEmail email)`
  The owner of an email.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdEmail`
  `email()`
  Returns the value of the `email` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isAdmin()`
  Returns the value of the `isAdmin` record component.
  `UUID`
  `owner()`
  Returns the value of the `owner` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdEmailOwner

    public IdEmailOwner(boolean isAdmin, UUID owner, IdEmail email)
    The owner of an email.
    Parameters:
      `isAdmin` - `true` if the owner is an admin (otherwise, it is a user)
      `owner` - The owner ID
      `email` - The email

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### isAdmin

    public boolean isAdmin()
    Returns the value of the `isAdmin` record component.
    Returns:
      the value of the `isAdmin` record component

  - ### owner

    public UUID owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### email

    public IdEmail email()
    Returns the value of the `email` record component.
    Returns:
      the value of the `email` record component